For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Metrics
    • GETList Metrics
    • POSTCreate Metrics
    • PUTUpdate Metrics
    • POSTBatch Create
  • Metric Collections
    • GETList Metric Collections
    • POSTAdd Collection
    • PUTUpdate Collection
  • Datasets
    • GETList Datasets
    • GETPull Dataset
    • POSTPush Dataset
    • DELDelete Dataset
  • Evaluation
    • POSTRun LLM Evals
    • POSTSimulate Conversation
    • POSTEvaluate Span
    • POSTEvaluate Trace
    • POSTEvaluate Thread
    • GETRetrieve Test Run
    • GETList Test Runs
  • Tracing
    • GETList Traces
    • POSTTrace Ingestion
    • GETRetrieve Trace
    • GETList Spans
    • GETRetrieve Span
  • Threads
    • GETList Threads
    • GETRetrieve Thread
  • Prompt
    • GETList Prompts
    • POSTPush Prompts
    • GETPull Prompts By Label
    • GETPull Prompts By Version
    • GETPull Prompts By Commit
    • GETList Versions
    • POSTCreate Version
    • GETList Commits
    • GETList Branches
    • POSTCreate Branch
    • PUTUpdate Branch
    • DELDelete Branch
  • Metric Data
    • GETList Metrics Data
  • Annotations
    • GETList Annotations
    • POSTCreate Annotation
    • GETGet Annotation
    • PUTUpdate Annotation
  • Annotation Queues
    • GETList Annotation Queues
    • POSTCreate Annotation Queue
    • GETGet Annotation Queue
    • DELDelete Annotation Queue
    • GETList Queue Items
    • POSTAnnotate Queue Item
  • Projects
    • GETList Projects
    • POSTCreate Project
    • PUTUpdate Project
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Evaluation

Evaluate Thread

POST
https://api.confident-ai.com/v1/evaluate/threads/:threadId
POST
/v1/evaluate/threads/:threadId
$curl -X POST https://api.confident-ai.com/v1/evaluate/threads/threadId \
> -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>" \
> -H "Content-Type: application/json" \
> -d '{
> "metricCollection": "Collection Name",
> "chatbotRole": "You are a rich, powerful..."
>}'
200Successful
1{
2 "success": true,
3 "data": {
4 "id": "THREAD-ID"
5 },
6 "deprecated": false
7}
Triggers evaluation of a thread using a specified metric collection and optional chatbot role instructions.
Was this page helpful?
Previous

Retrieve Test Run

Next
Built with

Path parameters

threadIdstringRequired
The thread ID of the thread you wish to evaluate.

Headers

CONFIDENT_API_KEYstringRequired
The API key of your Confident AI project.

Request

metricCollectionstringRequired

This is the name of the multi-turn metric collection to evaluate the thread.

chatbotRolestringOptional
The role or purpose of the chatbot in the thread.

Response

successboolean
This is true if the thread was successfully evaluated.
dataobject
deprecatedboolean
This is true if this endpoint is deprecated.